> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Workspace

> Get general settings



## OpenAPI

````yaml get /workspace/{workspaceId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /workspace/{workspaceId}:
    get:
      tags:
        - Workspace
      description: Get general settings
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
          description: Workspace ID
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  _id:
                    type: string
                  group_id:
                    type: string
                  name:
                    type: string
                  theme:
                    type: string
                  week_starts_on:
                    type: string
                  permissions:
                    type: array
                    items:
                      type: string
                  onboarded:
                    type: boolean
                  games:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        thumbnail:
                          type: string
                      required:
                        - id
                        - name
                        - thumbnail
                  shares_info:
                    type: boolean
                  cover_image:
                    type: string
                required:
                  - _id
                  - group_id
                  - name
                  - theme
                  - week_starts_on
                  - permissions
                  - onboarded
                  - games
                  - shares_info
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````